﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
      <Schema Namespace="NorthwindModel1.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2012.Azure" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="AspNetRoles">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="nvarchar" MaxLength="128" Nullable="false" />
          <Property Name="Name" Type="nvarchar" MaxLength="256" Nullable="false" />
        </EntityType>
        <EntityType Name="AspNetUserRoles">
          <Key>
            <PropertyRef Name="UserId" />
            <PropertyRef Name="RoleId" />
          </Key>
          <Property Name="UserId" Type="nvarchar" MaxLength="128" Nullable="false" />
          <Property Name="RoleId" Type="nvarchar" MaxLength="128" Nullable="false" />
        </EntityType>
        <EntityType Name="AspNetUsers">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="nvarchar" MaxLength="128" Nullable="false" />
          <Property Name="DisplayName" Type="nvarchar(max)" />
          <Property Name="Email" Type="nvarchar" MaxLength="256" />
          <Property Name="EmailConfirmed" Type="bit" Nullable="false" />
          <Property Name="PasswordHash" Type="nvarchar(max)" />
          <Property Name="SecurityStamp" Type="nvarchar(max)" />
          <Property Name="PhoneNumber" Type="nvarchar(max)" />
          <Property Name="PhoneNumberConfirmed" Type="bit" Nullable="false" />
          <Property Name="TwoFactorEnabled" Type="bit" Nullable="false" />
          <Property Name="LockoutEndDateUtc" Type="datetime" />
          <Property Name="LockoutEnabled" Type="bit" Nullable="false" />
          <Property Name="AccessFailedCount" Type="int" Nullable="false" />
          <Property Name="UserName" Type="nvarchar" MaxLength="256" Nullable="false" />
          <Property Name="BirthDate" Type="datetime" />
          <Property Name="Lisainfo" Type="nvarchar" MaxLength="100" />
          <Property Name="Veelmidagi" Type="nvarchar" MaxLength="100" />
          <Property Name="FirstName" Type="nvarchar" MaxLength="32" />
          <Property Name="LastName" Type="nvarchar" MaxLength="32" />
        </EntityType>
        <Association Name="FK_dbo_AspNetUserRoles_dbo_AspNetRoles_RoleId">
          <End Role="AspNetRoles" Type="Self.AspNetRoles" Multiplicity="1">
            <OnDelete Action="Cascade" />
          </End>
          <End Role="AspNetUserRoles" Type="Self.AspNetUserRoles" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="AspNetRoles">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="AspNetUserRoles">
              <PropertyRef Name="RoleId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_dbo_AspNetUserRoles_dbo_AspNetUsers_UserId">
          <End Role="AspNetUsers" Type="Self.AspNetUsers" Multiplicity="1">
            <OnDelete Action="Cascade" />
          </End>
          <End Role="AspNetUserRoles" Type="Self.AspNetUserRoles" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="AspNetUsers">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="AspNetUserRoles">
              <PropertyRef Name="UserId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="NorthwindModel1StoreContainer">
          <EntitySet Name="AspNetRoles" EntityType="Self.AspNetRoles" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="AspNetUserRoles" EntityType="Self.AspNetUserRoles" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="AspNetUsers" EntityType="Self.AspNetUsers" Schema="dbo" store:Type="Tables" />
          <AssociationSet Name="FK_dbo_AspNetUserRoles_dbo_AspNetRoles_RoleId" Association="Self.FK_dbo_AspNetUserRoles_dbo_AspNetRoles_RoleId">
            <End Role="AspNetRoles" EntitySet="AspNetRoles" />
            <End Role="AspNetUserRoles" EntitySet="AspNetUserRoles" />
          </AssociationSet>
          <AssociationSet Name="FK_dbo_AspNetUserRoles_dbo_AspNetUsers_UserId" Association="Self.FK_dbo_AspNetUserRoles_dbo_AspNetUsers_UserId">
            <End Role="AspNetUsers" EntitySet="AspNetUsers" />
            <End Role="AspNetUserRoles" EntitySet="AspNetUserRoles" />
          </AssociationSet>
        </EntityContainer>
      </Schema>
    </edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="NorthwindModel1" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityType Name="AspNetRole">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="String" MaxLength="128" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="Name" Type="String" MaxLength="256" FixedLength="false" Unicode="true" Nullable="false" />
          <NavigationProperty Name="AspNetUsers" Relationship="Self.AspNetUserRoles" FromRole="AspNetRoles" ToRole="AspNetUsers" />
        </EntityType>
        <EntityType Name="AspNetUser">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="String" MaxLength="128" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="DisplayName" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="Email" Type="String" MaxLength="256" FixedLength="false" Unicode="true" />
          <Property Name="EmailConfirmed" Type="Boolean" Nullable="false" />
          <Property Name="PasswordHash" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="SecurityStamp" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="PhoneNumber" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="PhoneNumberConfirmed" Type="Boolean" Nullable="false" />
          <Property Name="TwoFactorEnabled" Type="Boolean" Nullable="false" />
          <Property Name="LockoutEndDateUtc" Type="DateTime" Precision="3" />
          <Property Name="LockoutEnabled" Type="Boolean" Nullable="false" />
          <Property Name="AccessFailedCount" Type="Int32" Nullable="false" />
          <Property Name="UserName" Type="String" MaxLength="256" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="BirthDate" Type="DateTime" Precision="3" />
          <Property Name="Lisainfo" Type="String" MaxLength="100" FixedLength="false" Unicode="true" />
          <Property Name="Veelmidagi" Type="String" MaxLength="100" FixedLength="false" Unicode="true" />
          <Property Name="FirstName" Type="String" MaxLength="32" FixedLength="false" Unicode="true" />
          <Property Name="LastName" Type="String" MaxLength="32" FixedLength="false" Unicode="true" />
          <NavigationProperty Name="AspNetRoles" Relationship="Self.AspNetUserRoles" FromRole="AspNetUsers" ToRole="AspNetRoles" />
        </EntityType>
        <Association Name="AspNetUserRoles">
          <End Role="AspNetRoles" Type="Self.AspNetRole" Multiplicity="*" />
          <End Role="AspNetUsers" Type="Self.AspNetUser" Multiplicity="*" />
        </Association>
        <EntityContainer Name="NorthwindEntities1" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="AspNetRoles" EntityType="Self.AspNetRole" />
          <EntitySet Name="AspNetUsers" EntityType="Self.AspNetUser" />
          <AssociationSet Name="AspNetUserRoles" Association="Self.AspNetUserRoles">
            <End Role="AspNetRoles" EntitySet="AspNetRoles" />
            <End Role="AspNetUsers" EntitySet="AspNetUsers" />
          </AssociationSet>
        </EntityContainer>
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="NorthwindModel1StoreContainer" CdmEntityContainer="NorthwindEntities1">
          <EntitySetMapping Name="AspNetRoles">
            <EntityTypeMapping TypeName="NorthwindModel1.AspNetRole">
              <MappingFragment StoreEntitySet="AspNetRoles">
                <ScalarProperty Name="Id" ColumnName="Id" />
                <ScalarProperty Name="Name" ColumnName="Name" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="AspNetUsers">
            <EntityTypeMapping TypeName="NorthwindModel1.AspNetUser">
              <MappingFragment StoreEntitySet="AspNetUsers">
                <ScalarProperty Name="Id" ColumnName="Id" />
                <ScalarProperty Name="DisplayName" ColumnName="DisplayName" />
                <ScalarProperty Name="Email" ColumnName="Email" />
                <ScalarProperty Name="EmailConfirmed" ColumnName="EmailConfirmed" />
                <ScalarProperty Name="PasswordHash" ColumnName="PasswordHash" />
                <ScalarProperty Name="SecurityStamp" ColumnName="SecurityStamp" />
                <ScalarProperty Name="PhoneNumber" ColumnName="PhoneNumber" />
                <ScalarProperty Name="PhoneNumberConfirmed" ColumnName="PhoneNumberConfirmed" />
                <ScalarProperty Name="TwoFactorEnabled" ColumnName="TwoFactorEnabled" />
                <ScalarProperty Name="LockoutEndDateUtc" ColumnName="LockoutEndDateUtc" />
                <ScalarProperty Name="LockoutEnabled" ColumnName="LockoutEnabled" />
                <ScalarProperty Name="AccessFailedCount" ColumnName="AccessFailedCount" />
                <ScalarProperty Name="UserName" ColumnName="UserName" />
                <ScalarProperty Name="BirthDate" ColumnName="BirthDate" />
                <ScalarProperty Name="Lisainfo" ColumnName="Lisainfo" />
                <ScalarProperty Name="Veelmidagi" ColumnName="Veelmidagi" />
                <ScalarProperty Name="FirstName" ColumnName="FirstName" />
                <ScalarProperty Name="LastName" ColumnName="LastName" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <AssociationSetMapping Name="AspNetUserRoles" TypeName="NorthwindModel1.AspNetUserRoles" StoreEntitySet="AspNetUserRoles">
            <EndProperty Name="AspNetRoles">
              <ScalarProperty Name="Id" ColumnName="RoleId" />
            </EndProperty>
            <EndProperty Name="AspNetUsers">
              <ScalarProperty Name="Id" ColumnName="UserId" />
            </EndProperty>
          </AssociationSetMapping>
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="true" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="None" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>